/* Copyright (c) 2001-2004 by SoftIntegration, Inc. All Rights Reserved */
/* a sample program testing isxdigit() */
#include <ctype.h>
#include <stdio.h>

int main() {
    char c = 'T';
    printf("isxdigit('%c') returns %d\n", c,isxdigit(c));
    if(isxdigit(c) > 0)
        printf("'%c' is a hexadecimal-digit character.\n", c);
    else
        printf("'%c' is not a hexadecimal-digit character.\n", c);
    c = 'a';
    printf("isxdigit('%c') returns %d\n", c,isxdigit(c));
    if(isxdigit(c) > 0)
        printf("'%c' is a hexadecimal-digit character.\n", c);
    else
        printf("'%c' is not a hexadecimal-digit character.\n",c);
}

